@import "description.scss";

.app {
  @include content;
  padding: 100px 0 0 0;

  &__title {
    @include h2;
    margin-bottom: 60px;

    @include tablet {
      @include m-h1;
    }

    @include mobile{
      margin-bottom: 30px;
    }
  }

  &__content {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;

    @include tablet {
      flex-direction: column;
      align-items: center;
    }
  }

  &__phone {
    position: relative;
    width: 313px;
    min-width: 313px;
    height: 635px;
    background-color: $color-gray-bgc-1;
    border-radius: 40px;

    &__top {
      position: absolute;
      width: 160px;
      height: 40px;
      top: 1px;
      left: 50%;
      transform: translateX(-50%);
      border-radius: 0 0 28px 28px;
      background-color: $color-gray-bgc-1;
      border-bottom: 1px solid #fff;
      z-index: 99;

      @include mobile{
        width: 120px;
        border-radius: 0 0 14px 14px;
      }
    }

    @include tablet {
      max-height: 450px;
      overflow: hidden;
      border-radius: 40px 40px 0 0;
      margin-bottom: 40px;
    }

    @include mobile {
      max-width: 255px;
      min-width: 255px;
      max-height: 370px;
    }

    @include mobile-small{
      min-width: 220px;
      max-width: 220px;
      max-height: 315px;
    }
  }

  &__list {
    max-width: 320px;
    margin-top: 100px;

    @include tablet {
      width: 100%;
      max-width: 100%;
      margin-top: 0;
    }
  }

  &__list__item {
    @include d_extra_text;
    font-weight: 600;
    line-height: 27px;
    position: relative;

    & + & {
      margin-top: 130px;
    }

    &__tablettext{
      display: none;
      @include tablet{
        display: inline;
      }
    }

    &::before {
      position: absolute;
      @include d_extra_text;
      color: $color-red;
      border: 2px solid $color-red;
      width: 40px;
      height: 40px;
      border-radius: 50%;
      display: flex;
      justify-content: center;
      align-items: center;
      top: -70px;
    }

    &:nth-child(1)::before {
      content: "1";
    }
    &:nth-child(2)::before {
      content: "2";
    }
    &:nth-child(3)::before {
      content: "3";
    }

    &__tooltip {
      display: flex;

      @include tablet {
        display: block;
      }
    }

    @include tablet {
      @include d_big_text;
      margin-left: 30px;

      & + & {
        margin-top: 20px;
      }

      &::before {
        content: "" !important;
        width: 10px;
        height: 10px;
        border:none;
        background-color: $color-red;
        top: 6px;
        left: -30px;
      }

      .tooltip {
        display: none;
      }
    }

    @include mobile{
      @include a_mobile;
    }
  }

  &__link {
    margin-top: 30px;

    @include tablet{
      margin-top: 40px;
      width: 224px;
    }
  }

  &__qr__image {
    background-image: url("/next-public-fast/images/kasko/app/app_qr_code.gif");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    width: 256px;
    height: 256px;
    margin-bottom: 30px;

    @include tablet {
      display:none;
    }
  }

  &__qr__text {
    @include a_mobile;
    max-width: 256px;
    color: $color-additional;

    @include tablet {
      display:none;
    }
  }

  &__download__btn{
    display: none;

    @include tablet {
      display:flex;
    }
  }

  @include tablet{
    padding: 60px 0 0 0;
  }

  @include mobile{
    padding: 40px 20px 0 20px;
  }
}

.tooltip__text {
  padding: 20px;
  @include d_list_text;
  font-weight: 400;
}
